/*
 * Copyright (c) MuleSoft, Inc.  All rights reserved.  http://www.mulesoft.com
 * The software in this package is published under the terms of the CPAL v1.0
 * license, a copy of which has been included with this distribution in the
 * LICENSE.txt file.
 */

package org.mule.module.db.internal.metadata;

import org.mule.common.Result;
import org.mule.common.metadata.MetaData;
import org.mule.module.db.internal.domain.autogeneratedkey.AutoGeneratedKeyStrategy;
import org.mule.module.db.internal.domain.query.Query;
import org.mule.module.db.internal.resolver.database.DbConfigResolver;

/**
 * Provides metadata for DDL queries
 */
public class DdlMetadataProvider extends UpdateMetadataProvider
{

    public DdlMetadataProvider(DbConfigResolver dbConfigResolver, Query query, AutoGeneratedKeyStrategy autoGeneratedKeyStrategy)
    {
        super(dbConfigResolver, query, autoGeneratedKeyStrategy);
    }

    @Override
    public Result<MetaData> getInputMetaData()
    {
        return null;
    }
}
